<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.CondizioniCtrlRid" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="Condizioni_Ctrl_RID">
        <id name="contatore" type="java.lang.Integer">
            <column name="Contatore"/>
            <generator class="identity"/>
        </id>
        <property generated="never" lazy="false" name="campoChiave" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="Campo_Chiave"/>
        </property>
        <property generated="never" lazy="false" name="statement1" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="`Statement 1`"/>
        </property>
        <property generated="never" lazy="false" name="nomeCampo" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="NomeCampo"/>
        </property>
        <property generated="never" lazy="false" name="condizione1" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="`Condizione 1`"/>
        </property>
        <property generated="never" lazy="false" name="congruenzaCondizione1" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="`Congruenza Condizione 1`"/>
        </property>
        <property generated="never" lazy="false" name="condizione2" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="`Condizione 2`"/>
        </property>
        <property generated="never" lazy="false" name="congruenzaCondizione2" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="`Congruenza Condizione 2`"/>
        </property>
        <property generated="never" lazy="false" name="statement2" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="`Statement 2`"/>
        </property>
        <property generated="never" lazy="false" name="lavorativoCond" optimistic-lock="true" type="boolean" unique="false">
            <column name="LavorativoCond" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="dataSistemaCond" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="DataSistemaCond"/>
        </property>
        <property generated="never" lazy="false" name="piazzaturaCond" optimistic-lock="true" type="boolean" unique="false">
            <column name="PiazzaturaCond" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="congruenzaCondizione3" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="`Congruenza Condizione 3`"/>
        </property>
        <property generated="never" lazy="false" name="condizione3" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="`Condizione 3`"/>
        </property>
        <property generated="never" lazy="false" name="congruenzaCondizione4" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="`Congruenza Condizione 4`"/>
        </property>
        <property generated="never" lazy="false" name="condizione4" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="`Condizione 4`"/>
        </property>
        <property generated="never" lazy="false" name="flagErrore" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagErrore" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="obbligatorio" optimistic-lock="true" type="boolean" unique="false">
            <column name="Obbligatorio" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagLavorativo" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagLavorativo" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="campoDataSistema" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="CampoDataSistema"/>
        </property>
        <property generated="never" lazy="false" name="flagSoloGiornoLavorativo" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagSoloGiornoLavorativo" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagPiazzatura" optimistic-lock="true" type="short" unique="false">
            <column name="FlagPiazzatura" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagBancaAderente" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagBancaAderente" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="campoReciprocoPiazzatura" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="CampoReciprocoPiazzatura"/>
        </property>
        <property generated="never" lazy="false" name="controlloCodiceFiscale" optimistic-lock="true" type="short" unique="false">
            <column name="ControlloCodiceFiscale" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="controlloCin" optimistic-lock="true" type="boolean" unique="false">
            <column name="ControlloCin" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="abiControlloCin" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="AbiControlloCin"/>
        </property>
        <property generated="never" lazy="false" name="cabControlloCin" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="CabControlloCin"/>
        </property>
        <property generated="never" lazy="false" name="contoControlloCin" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="ContoControlloCin"/>
        </property>
        <property generated="never" lazy="false" name="controlloIban" optimistic-lock="true" type="boolean" unique="false">
            <column name="ControlloIBAN" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="caratteriAbilitati" optimistic-lock="true" type="string" unique="false">
            <column length="100" name="CaratteriAbilitati"/>
        </property>
        <property generated="never" lazy="false" name="controlloLunghezzaCampo" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="ControlloLunghezzaCampo"/>
        </property>
    </class>
</hibernate-mapping>
